<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
</head>
<body bgcolor="#ffffff" text="#000000">
Narayana,<br>
<br>
If you're compiling against the classes for Java 6, -target 6 is the
right default.&nbsp;&nbsp; Anyone wanting to compile for the Java 5 platform
should set -target 1.5 and should also set a matching bootclasspath, so
that they don't accidentally use API only available in Java 6.&nbsp;&nbsp; That
would not be reasonable for the OpenJDK compiler.<br>
<br>
-- Jon G<br>
<br>
<br>
Narayana Rallabandi wrote:
<blockquote cite="mid46718235.7040402@Sun.Com" type="cite">
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
  <font face="Courier New">Hi,<br>
  <br>
Is there any specific reason why the default compile target being set
to JDK 1.6 (com.sun.tools.javac.jvm.Taget)? I think still lot of users
are of JDK 1.5 only. It will be useful for them so that they do not
need to set the -target option every time.<br>
  <br>
  </font>
  <div class="moz-signature">-- <br>
  <title> New Document </title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
Thanks,<br>
Narayanaa<br>
Open ESB Community (<a class="moz-txt-link-freetext"
 href="http://open-esb.org">http://open-esb.org</a>)
  </div>
</blockquote>
<br>
</body>
</html>